Daemon Power

The NetBSD Packages Collection: chat/matrix-synapse

Brief description of the package:
Reference homeserver for the Matrix decentralised comms protocol

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/matrix-org/synapse/.

Please note that this package has a apache-2.0 license.

The package is located in the "chat/matrix-synapse" directory. The current source version of the package is "matrix-synapse-1.23.0". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for chat/matrix-synapse :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py37-sqlite3>=0 python37>=3.7 libffi>=1.20 cwrappers>=20150314 libuuid>=2.18 libffi>=3.3nb1 readline>=2.2 readline>=6.0 python37>=3.7.0 python37>=3.7.9 py37-jsonschema>=2.5.1 py37-attrs>=17.4.0 py37-setuptools-[0-9]* py37-expat-[0-9]* py37-pyrsistent>=0.14.0 py37-six-[0-9]* py37-test-runner-[0-9]* py37-setuptools_scm-[0-9]* py37-toml-[0-9]* py37-test-[0-9]* py37-iniconfig-[0-9]* py37-packaging-[0-9]* py37-pyparsing>=2.0.2 py37-pluggy>=0.12 py37-importlib-metadata>=0.12 py37-zipp-[0-9]* py37-setuptools_scm>=1.15.0 py37-py>=1.8.2 py37-six>=1.11.0 py37-importlib-metadata-[0-9]* py37-frozendict>=1 py37-unpaddedbase64>=1.1.0 py37-canonicaljson>=1.4.0 py37-simplejson>=3.14.0 py37-frozendict>=1.0 py37-signedjson>=1.1.0 py37-canonicaljson>=1.0.0 py37-unpaddedbase64>=1.0.1 py37-nacl>=0.3.0 py37-cffi>=1.4.1 py37-cparser-[0-9]* libsodium>=0.3 py37-wheel-[0-9]* py37-typing-extensions>=3.5 py37-nacl>=1.2.1 py37-idna>=2.5 py37-service_identity>=18.1.0 py37-OpenSSL>=0.12 py37-cryptography>=2.8 py37-asn1crypto>=0.21.0 py37-cffi>=1.11.4 py37-cparser>=2.10 py37-idna>=2.1 py37-six>=1.4.1 py37-six>=1.5.2 py37-asn1-modules-[0-9]* py37-asn1>=0.4.1 py37-attrs-[0-9]* py37-characteristic>=14.0.0 py37-idna-[0-9]* py37-twisted>=18.9.0 py37-automat>=0.3.0 py37-attrs>=16.1.0 py37-m2r-[0-9]* py37-docutils-[0-9]* py37-expat>=0 py37-roman>=1.4 py37-mistune-[0-9]* py37-constantly>=15.1 py37-hamcrest>=1.9.0 py37-six>=1.4 py37-hyperlink>=17.1.1 py37-incremental>=16.10.1 py37-ZopeInterface>=4.4.2 py37-OpenSSL>=16.0.0 py37-idna>=2.4 py37-treq>=15.1 py37-incremental-[0-9]* py37-requests>=2.1.0 py37-OpenSSL>=0.14 py37-certifi>=2017.4.17 py37-chardet>=3.0.2 py37-cryptography>=1.3.4 py37-urllib3>=1.12.1 py37-Socks>=1.6.0 py37-certifi-[0-9]* py37-idna>=2.0.0 py37-twisted>=16.4.0 py37-yaml>=3.11 libyaml>=0.1.1 libyaml>=0.1.4 py37-asn1>=0.1.9 py37-asn1-modules>=0.0.7 py37-daemonize>=2.3.1 py37-bcrypt>=3.1.0 py37-cffi>=1.1 py37-Pillow>=4.3.0 py37-olefile-[0-9]* freetype2>=2.8.1 freetype2>=2.1.3 lcms2>=2.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 tiff>=4.0.3nb5 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.2.1nb3 png>=1.2.4 giflib>=5.2.1nb4 png>=1.6.0nb1 openjpeg>=2.1.0 libwebp>=0.6.0 py37-sortedcontainers>=1.4.4 py37-macaroons>=0.13.0 py37-six>=1.8.0 py37-nacl>=1.1.2 py37-msgpack>=0.5.2 py37-phonenumbers>=8.2.0 py37-six>=1.10 py37-prometheus_client>=0.8.0 py37-attrs>=19.1.0 py37-netaddr>=0.7.18 py37-jinja2>=2.9 py37-babel>=0.8 py37-pytz>=2015.7 py37-markupsafe>=0.23 py37-bleach>=1.4.3 py37-six>=1.9.0 py37-webencodings-[0-9]* py37-test-runner>=2.0 py37-typing-extensions>=3.7.4 py37-psycopg2>=2.7 postgresql12-client>=12.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.9.10nb3 postgresql12-client>=12.1nb1 py37-lxml>=3.5.0 libxml2>=2.9.2 libxslt>=1.1.27 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 perl>=5.0 libxslt>=1.1.8 libxslt>=1.1.34nb4 .

This package requires the following package(s) to run: py37-sqlite3>=0 python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.3nb1 python37>=3.7.0 python37>=3.7.9 py37-jsonschema>=2.5.1 py37-attrs>=17.4.0 py37-setuptools-[0-9]* py37-expat-[0-9]* py37-pyrsistent>=0.14.0 py37-six-[0-9]* py37-six>=1.11.0 py37-importlib-metadata-[0-9]* py37-zipp-[0-9]* py37-frozendict>=1 py37-unpaddedbase64>=1.1.0 py37-canonicaljson>=1.4.0 py37-simplejson>=3.14.0 py37-frozendict>=1.0 py37-signedjson>=1.1.0 py37-canonicaljson>=1.0.0 py37-unpaddedbase64>=1.0.1 py37-nacl>=0.3.0 py37-cffi>=1.4.1 py37-cparser-[0-9]* libsodium>=0.3 py37-typing-extensions>=3.5 py37-nacl>=1.2.1 py37-idna>=2.5 py37-service_identity>=18.1.0 py37-OpenSSL>=0.12 py37-cryptography>=2.8 py37-asn1crypto>=0.21.0 py37-cffi>=1.11.4 py37-cparser>=2.10 py37-idna>=2.1 py37-six>=1.4.1 py37-six>=1.5.2 py37-asn1-modules-[0-9]* py37-asn1>=0.4.1 py37-attrs-[0-9]* py37-characteristic>=14.0.0 py37-idna-[0-9]* py37-twisted>=18.9.0 py37-automat>=0.3.0 py37-attrs>=16.1.0 py37-constantly>=15.1 py37-hamcrest>=1.9.0 py37-six>=1.4 py37-hyperlink>=17.1.1 py37-incremental>=16.10.1 py37-ZopeInterface>=4.4.2 py37-OpenSSL>=16.0.0 py37-idna>=2.4 py37-treq>=15.1 py37-incremental-[0-9]* py37-requests>=2.1.0 py37-OpenSSL>=0.14 py37-certifi>=2017.4.17 py37-chardet>=3.0.2 py37-cryptography>=1.3.4 py37-urllib3>=1.12.1 py37-Socks>=1.6.0 py37-certifi-[0-9]* py37-idna>=2.0.0 py37-twisted>=16.4.0 py37-yaml>=3.11 libyaml>=0.1.1 libyaml>=0.1.4 py37-asn1>=0.1.9 py37-asn1-modules>=0.0.7 py37-daemonize>=2.3.1 py37-bcrypt>=3.1.0 py37-cffi>=1.1 py37-Pillow>=4.3.0 py37-olefile-[0-9]* freetype2>=2.8.1 freetype2>=2.1.3 lcms2>=2.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 tiff>=4.0.3nb5 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.2.1nb3 png>=1.2.4 giflib>=5.2.1nb4 png>=1.6.0nb1 openjpeg>=2.1.0 libwebp>=0.6.0 py37-sortedcontainers>=1.4.4 py37-macaroons>=0.13.0 py37-six>=1.8.0 py37-nacl>=1.1.2 py37-msgpack>=0.5.2 py37-phonenumbers>=8.2.0 py37-six>=1.10 py37-prometheus_client>=0.8.0 py37-attrs>=19.1.0 py37-netaddr>=0.7.18 py37-jinja2>=2.9 py37-babel>=0.8 py37-pytz>=2015.7 py37-markupsafe>=0.23 py37-bleach>=1.4.3 py37-packaging-[0-9]* py37-pyparsing>=2.0.2 py37-six>=1.9.0 py37-webencodings-[0-9]* py37-typing-extensions>=3.7.4 py37-psycopg2>=2.7 postgresql12-client>=12.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.9.10nb3 postgresql12-client>=12.1nb1 py37-lxml>=3.5.0 libxml2>=2.9.2 libxslt>=1.1.27 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxslt>=1.1.8 libxslt>=1.1.34nb4 perl>=5.0 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:matrix-synapse-1.20.1.tgz(NetBSD 9.0)
earmv6hf:matrix-synapse-1.20.1.tgz(NetBSD 9.0)
earmv7hf:matrix-synapse-1.20.1.tgz(NetBSD 8.0)
earmv7hf:matrix-synapse-1.20.1.tgz(NetBSD 9.0)
i386:matrix-synapse-1.20.1.tgz(NetBSD 8.0)
i386:matrix-synapse-1.20.1.tgz(NetBSD 9.0)
powerpc:matrix-synapse-1.20.1.tgz(NetBSD 9.0)
sparc64:matrix-synapse-1.20.1.tgz(NetBSD 9.0)
x86_64:matrix-synapse-1.20.1.tgz(NetBSD 8.0)
x86_64:matrix-synapse-1.20.1.tgz(NetBSD 9.0)
x86_64:matrix-synapse-1.20.1.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]